### Virtual Method

# Ide Command get_icon

#### Declaration

    GIcon*
    get_icon (
      IdeCommand* self
    )

#### Description

Gets the icon for the command to be displayed in UI if necessary.

Available since: | 3.34

#### Return value

Returns: | `GIcon`
| A `GIcon` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.